Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlp.xip
Class XipProperties

    java.lang.Object
      com.bea.wlp.xip.XipProperties

    public class XipProperties

extends Object

This class parses the sample xip properties file (xip.properties) where you can specify such things as server configuration information, export import commands, scoping rules, and propagation rules.

This utility is only shipped as an example; hence the source code is included. Feel free to modify the code meet your own specific needs.

Nested Class Summary
`class` | `XipProperties.XipProperty`

Field Summary
`static String` | `XIP_COMMAND_EXPORT`
`static String` | `XIP_COMMAND_IMPORT`
`static String` | `XIP_EXPORT_CONTEXT_SCOPE_ADMIN`
`static String` | `XIP_EXPORT_CONTEXT_SCOPE_LIBRARY`
`static String` | `XIP_EXPORT_CONTEXT_SCOPE_VISITOR`
`static String` | `XIP_IMPORT_CONTEXT_SCOPE_ADMIN`
`static String` | `XIP_IMPORT_CONTEXT_SCOPE_LIBRARY`
`static String` | `XIP_IMPORT_CONTEXT_SCOPE_VISITOR`
`static String` | `XIP_IMPORT_PROLIFERATE_ASYNC`
`static String` | `XIP_IMPORT_PROLIFERATE_OFF`
`static String` | `XIP_IMPORT_PROLIFERATE_SYNC`
`static String` | `XIP_OBJECT_BOOK`
`static String` | `XIP_OBJECT_DESKTOP`
`static String` | `XIP_OBJECT_PAGE`

Constructor Summary
`XipProperties(String[] argvs, String propertiesFile, boolean verbose)`

Method Summary
`String` | `getApplication()`
`String` | `getBooklabel()`
`String` | `getCommand()`
`String` | `getDesktopPath()`
`ExportContext` | `getExportContext()`
`ImportContext` | `getImportContext()`
`String` | `getInputFile()`
`String` | `getObject()`
`String` | `getOutputEncoding()`
`String` | `getOutputFile()`
`String` | `getPagelabel()`
`String` | `getPassword()`
`String` | `getPortalPath()`
`String` | `getUrl()`
`String` | `getUsername()`
`String` | `getWebapp()`
`boolean` | `isVerbose()`
`void` | `loadProperties()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### XIP_COMMAND_IMPORT

    public static final String XIP_COMMAND_IMPORT

See Also
  Constants Summary

### XIP_COMMAND_EXPORT

    public static final String XIP_COMMAND_EXPORT

See Also
  Constants Summary

### XIP_OBJECT_DESKTOP

    public static final String XIP_OBJECT_DESKTOP

See Also
  Constants Summary

### XIP_OBJECT_BOOK

    public static final String XIP_OBJECT_BOOK

See Also
  Constants Summary

### XIP_OBJECT_PAGE

    public static final String XIP_OBJECT_PAGE

See Also
  Constants Summary

### XIP_IMPORT_CONTEXT_SCOPE_LIBRARY

    public static final String XIP_IMPORT_CONTEXT_SCOPE_LIBRARY

See Also
  Constants Summary

### XIP_IMPORT_CONTEXT_SCOPE_ADMIN

    public static final String XIP_IMPORT_CONTEXT_SCOPE_ADMIN

See Also
  Constants Summary

### XIP_IMPORT_CONTEXT_SCOPE_VISITOR

    public static final String XIP_IMPORT_CONTEXT_SCOPE_VISITOR

See Also
  Constants Summary

### XIP_IMPORT_PROLIFERATE_SYNC

    public static final String XIP_IMPORT_PROLIFERATE_SYNC

See Also
  Constants Summary

### XIP_IMPORT_PROLIFERATE_ASYNC

    public static final String XIP_IMPORT_PROLIFERATE_ASYNC

See Also
  Constants Summary

### XIP_IMPORT_PROLIFERATE_OFF

    public static final String XIP_IMPORT_PROLIFERATE_OFF

See Also
  Constants Summary

### XIP_EXPORT_CONTEXT_SCOPE_LIBRARY

    public static final String XIP_EXPORT_CONTEXT_SCOPE_LIBRARY

See Also
  Constants Summary

### XIP_EXPORT_CONTEXT_SCOPE_ADMIN

    public static final String XIP_EXPORT_CONTEXT_SCOPE_ADMIN

See Also
  Constants Summary

### XIP_EXPORT_CONTEXT_SCOPE_VISITOR

    public static final String XIP_EXPORT_CONTEXT_SCOPE_VISITOR

See Also
  Constants Summary

Constructor Detail

### XipProperties

    public XipProperties(String[] argvs,
                         String propertiesFile,
                         boolean verbose)

Method Detail

### loadProperties

    public void loadProperties()

### isVerbose

    public boolean isVerbose()

### getUrl

    public String getUrl()

### getUsername

    public String getUsername()

### getPassword

    public String getPassword()

### getApplication

    public String getApplication()

### getCommand

    public String getCommand()

### getObject

    public String getObject()

### getWebapp

    public String getWebapp()

### getPortalPath

    public String getPortalPath()

### getDesktopPath

    public String getDesktopPath()

### getBooklabel

    public String getBooklabel()

### getPagelabel

    public String getPagelabel()

### getInputFile

    public String getInputFile()

### getOutputFile

    public String getOutputFile()

### getOutputEncoding

    public String getOutputEncoding()

### getImportContext

    public ImportContext getImportContext()

### getExportContext

    public ExportContext getExportContext()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.